/***************************************************************************
 *  CISILIA PROJECT: main.c
 *
 *  Tue Jan  7 22:53:28 2003
 *  Copyright  2002-2003  Cisilia Team <cisilia@cisiar.org>
 *
 ****************************************************************************/
/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/*
 * Archivo main.c inicial generado por Glade. Edtelo como
 * lo necesite, Glade nunca sobreescribir este archivo.
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gtk/gtk.h>

#include "interface.h"
#include "support.h"
#include "callbacks.h"
#include <signal.h>
#include <stdlib.h>


int
main (int argc, char *argv[])
{
  GtkWidget *window1;
  GtkWidget *fileselection1;

  signal (SIGTSTP, SIG_IGN);
  signal (SIGUSR1, SIG_IGN);
  signal (SIGCHLD, SIG_IGN);

#ifdef ENABLE_NLS
  bindtextdomain (PACKAGE, PACKAGE_LOCALE_DIR);
  textdomain (PACKAGE);
#endif

  gnome_init ("xisilia", VERSION, argc, argv);
  gnome_preferences_set_dialog_position (GTK_WIN_POS_CENTER);
  gnome_preferences_set_menubar_relief (FALSE);
  
  window1 = create_window1 ();
  gtk_widget_show (window1);

  fileselection1 = create_fileselection1();
  gtk_object_set_data (GTK_OBJECT (window1), "fileselection1", fileselection1);

  gtk_main ();
  
  return 0;
}

